// priority: 0

ServerEvents.recipes((event) => {
	//removals
	removeRecipeByOutput(event, [
		MVS("coal_shield"),
		MVS("redstone_shield"),
		MVS("amethyst_shield"),
		MVS("end_crystal_shield"),
		MVS("obsidian_shield"),
		MVS("glass_shield"),
		MVS("tinted_glass_shield"),
		MVS("brown_stained_glass_shield"),
		MVS("blue_stained_glass_shield"),
		MVS("cyan_stained_glass_shield"),
		MVS("light_blue_stained_glass_shield"),
		MVS("green_stained_glass_shield"),
		MVS("yellow_stained_glass_shield"),
		MVS("pink_stained_glass_shield"),
		MVS("orange_stained_glass_shield"),
		MVS("red_stained_glass_shield"),
    ])
	
	//leather shield
	removeRecipeByOutput(event, [
		MVS("leather_shield"),
    ])
	donutCraftFull(event, MVS("leather_shield"), MC("leather"), MC("#planks"))
	
	//gold shield
	removeRecipeByOutput(event, [
		MVS("gold_shield"),
    ])
	donutCraftFull(event, MVS("gold_shield"), F("#ingots/gold"), MC("shield"))
	
	//diamond shield
	removeRecipeByOutput(event, [
		MVS("diamond_shield"),
    ])
	donutCraftFull(event, MVS("diamond_shield"), F("#gems/diamond"), MVS("gold_shield"))
	
	//emerald shield
	removeRecipeByOutput(event, [
		MVS("emerald_shield"),
    ])
	donutCraftFull(event, MVS("emerald_shield"), F("#gems/emerald"), MVS("diamond_shield"))
	
	//netherite shield
	removeRecipeByOutput(event, [
		MVS("netherite_shield"),
    ])
	event.smithing(MVS("netherite_shield"), MVS("emerald_shield"), F("#ingots/netherite"))
})